Requests | Blesta

Requests

Admin ability to config client password requirements

Roger shared this idea 2 years ago
Under Consideration

Admin ability to enable/select requirements for acceptable passwords.

For example:

Minimum of "___" characters. Y?N

Must include upper and lower case. Y/N

Must include at least "___" number. Y/N

Must include at least "___" symbol. Y/N

Comments (5)

photo
1

Plesk seems to have a lot of issues creating clients and provisioning services when blesta generates a password that does not meet the plesk server security requirements.

For the plesk module it should be able to detect - the password strength is held in the misc database table : password_strength

photo
1

haha - if you set it to 'medium' in the panel, the database record says "Mediocre" ....

photo
1

We had already planned to update Plesk to enforce the strongest password requirements in CORE-2288, so it should pass all of the lesser requirements they impose as well. Would that suffice instead?

photo
1

it sure would, good news. thanks. is there a release ETA on that?

photo
1

It would probably be included in Blesta v4.7.0

photo